Package org.apache.tomcat.util.net.jsse

# Class JSSEImplementation

java.lang.Object
org.apache.tomcat.util.net.SSLImplementation
org.apache.tomcat.util.net.jsse.JSSEImplementation

public class JSSEImplementation extends SSLImplementation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSSEImplementation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SSLSupport`
  `getSSLSupport(SSLSession session)`
  Deprecated.
  `SSLSupport`
  `getSSLSupport(SSLSession session, Map<String,List<String>> additionalAttributes)`
  Obtain an instance of SSLSupport.
  `SSLUtil`
  `getSSLUtil(SSLHostConfigCertificate certificate)`
  `boolean`
  `isAlpnSupported()`

  ### Methods inherited from class org.apache.tomcat.util.net.SSLImplementation

  `getInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JSSEImplementation

    public JSSEImplementation()

- ## Method Details

  - ### getSSLSupport

    @Deprecated public SSLSupport getSSLSupport(SSLSession session)
    Deprecated.
    Description copied from class: `SSLImplementation`
    Obtain an instance of SSLSupport.
    Specified by:
      `getSSLSupport` in class `SSLImplementation`
    Parameters:
      `session` - The TLS session
    Returns:
      An instance of SSLSupport based on the given session.

  - ### getSSLSupport

    public SSLSupport getSSLSupport(SSLSession session, Map<String,List<String>> additionalAttributes)
    Description copied from class: `SSLImplementation`
    Obtain an instance of SSLSupport.
    Overrides:
      `getSSLSupport` in class `SSLImplementation`
    Parameters:
      `session` - The SSL session
      `additionalAttributes` - Additional SSL attributes that are not available from the session.
    Returns:
      An instance of SSLSupport based on the given session and the provided additional attributes

  - ### getSSLUtil

    public SSLUtil getSSLUtil(SSLHostConfigCertificate certificate)
    Specified by:
      `getSSLUtil` in class `SSLImplementation`

  - ### isAlpnSupported

    public boolean isAlpnSupported()
    Specified by:
      `isAlpnSupported` in class `SSLImplementation`